For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set Merchant/Channel Commission Rate

The maximum allowed commission rate that can be set by a channel is 50, while a merchant can set any value up to 100.

Set Merchant/Channel Commission Rate

put

Updates the Commission Rate for a specified Merchant's relationship with a specified Channel. Commission Rate can be locked/unlocked by a Channel, preventing changes by the Merchant.

Path parameters
app_idinteger · int32Required
merchant_idinteger · int32Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body
commission_ratenumber · doubleOptional

Custom commission rate between the channel and supplier.

commission_lockedbooleanOptional

Indicates if the commission rate is locked or not. Commission rates can only be locked or unlocked by a Channel.

Responses
default

default response

application/json

Record of Application Install by a Merchant

idinteger · int64Read-onlyOptional
app_idinteger · int32Required

App ID

merchant_idinteger · int32Required

Merchant ID

scopestringOptional

Scope

statusstring · enumOptional

Status

Possible values:
install_sourcestring · enumOptional

Source of the App Install

Possible values:
commission_ratenumber · doubleOptional

Custom commission rate between the channel and supplier.

commission_lockedbooleanOptional

Indicates if the commission rate is locked or not. Commission rates can only be locked or unlocked by a Channel.

date_createdstring · date-timeRead-onlyOptional

Date of creation

date_last_modifiedstring · date-timeRead-onlyOptional

Date of last update

put/apps/{app_id}/merchants/{merchant_id}/commission_rate
PUT /v1/apps/{app_id}/merchants/{merchant_id}/commission_rate HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "commission_rate": 1,
  "commission_locked": true
}
default

default response

{
  "id": 1,
  "app_id": 1,
  "merchant_id": 1,
  "scope": "text",
  "status": "REQUESTED",
  "install_source": "DIRECT",
  "commission_rate": 1,
  "commission_locked": true,
  "date_created": "2026-01-01T00:00:00.000Z",
  "date_last_modified": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?